From fdd89bdee0323444d28fbb9873ec3cc9f8b959e7 Mon Sep 17 00:00:00 2001
From: Jacob Champion <jacob.champion@enterprisedb.com>
Date: Mon, 1 Jul 2024 14:18:33 -0700
Subject: [PATCH v24 2/8] Remove fe_memutils from libpgcommon_shlib

libpq appears to have no need for this, and the exit() references cause
our libpq-refs-stamp test to fail if the linker doesn't strip out the
unused code.
---
 src/common/Makefile    | 2 +-
 src/common/meson.build | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/common/Makefile b/src/common/Makefile
index 3d83299432..5712078dae 100644
--- a/src/common/Makefile
+++ b/src/common/Makefile
@@ -105,11 +105,11 @@ endif
 # libraries such as libpq to report errors directly.
 OBJS_FRONTEND_SHLIB = \
 	$(OBJS_COMMON) \
-	fe_memutils.o \
 	restricted_token.o \
 	sprompt.o
 OBJS_FRONTEND = \
 	$(OBJS_FRONTEND_SHLIB) \
+	fe_memutils.o \
 	logging.o
 
 # foo.o, foo_shlib.o, and foo_srv.o are all built from foo.c
diff --git a/src/common/meson.build b/src/common/meson.build
index de68e408fa..7eb604c608 100644
--- a/src/common/meson.build
+++ b/src/common/meson.build
@@ -105,13 +105,13 @@ common_sources_cflags = {
 
 common_sources_frontend_shlib = common_sources
 common_sources_frontend_shlib += files(
-  'fe_memutils.c',
   'restricted_token.c',
   'sprompt.c',
 )
 
 common_sources_frontend_static = common_sources_frontend_shlib
 common_sources_frontend_static += files(
+  'fe_memutils.c',
   'logging.c',
 )
 
-- 
2.34.1

